Update a skill
curl --request PUT \
--url https://api.ara.so/v3/organizations/{orgId}/skills/{skillId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"activation_keywords": [
"<string>"
],
"is_enabled": true
}
'import requests
url = "https://api.ara.so/v3/organizations/{orgId}/skills/{skillId}"
payload = {
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"activation_keywords": ["<string>"],
"is_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
instructions: '<string>',
activation_keywords: ['<string>'],
is_enabled: true
})
};
fetch('https://api.ara.so/v3/organizations/{orgId}/skills/{skillId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skill_id": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"activation_keywords": [
"<string>"
],
"is_enabled": true,
"author": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "session_not_found"
}Partial update. Send only the fields you want to change.
Scope:skills:writePUT
/
v3
/
organizations
/
{orgId}
/
skills
/
{skillId}
Update a skill
Authorizations
Your ara_ API key from Settings > Ara API. Keys are capability-scoped: run, plugins:read, secrets:read, secrets:write, sessions:read, knowledge:read, repos:read, repos:write, reviews:read, reviews:write, analytics:read, org:read, org:write, attachments:read, attachments:write, plugins:write, guardrails:read, guardrails:write.
Path Parameters
Organization id or slug. Resolve it with GET /v3/self.
Body
application/json
⌘I

